import { Pipe, PipeTransform } from '@angular/core';
import { DomSanitizer } from '@angular/platform-browser';
import { StringUtil } from '../utils/string.util';

@Pipe({ name: 'ucapSafeHtml' })
export class SafeHtmlPipe implements PipeTransform {
  constructor(private domSanitizer: DomSanitizer) {}

  public transform(value: string) {
    // return this.domSanitizer.bypassSecurityTrustHtml(
    //   StringUtil.escapeHtml(value)
    // );
    return StringUtil.escapeHtml(value);
  }
}
